# QEasingCurve Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QEasingCurve(Type type)

### Constructor Properties

- prototype: The QEasingCurve prototype object
- Linear
- InQuad
- OutQuad
- InOutQuad
- OutInQuad
- InCubic
- OutCubic
- InOutCubic
- OutInCubic
- InQuart
- OutQuart
- InOutQuart
- OutInQuart
- InQuint
- OutQuint
- InOutQuint
- OutInQuint
- InSine
- OutSine
- InOutSine
- OutInSine
- InExpo
- OutExpo
- InOutExpo
- OutInExpo
- InCirc
- OutCirc
- InOutCirc
- OutInCirc
- InElastic
- OutElastic
- InOutElastic
- OutInElastic
- InBack
- OutBack
- InOutBack
- OutInBack
- InBounce
- OutBounce
- InOutBounce
- OutInBounce
- InCurve
- OutCurve
- SineCurve
- CosineCurve
- Custom
- NCurveTypes
- Type( value )

### Prototype Object Properties

- qreal amplitude()
- qreal overshoot()
- qreal period()
- void readFrom(QDataStream arg__1)
- void setAmplitude(qreal amplitude)
- void setOvershoot(qreal overshoot)
- void setPeriod(qreal period)
- void setType(Type type)
- Type type()
- qreal valueForProgress(qreal progress)
- void writeTo(QDataStream arg__1)

### Instance Properties

QEasingCurve objects have no special properties beyond those inherited from the QEasingCurve prototype object.